<?
	include "config.php";

	if(ereg("([a-zA-Z0-9._-]+@([a-zA-Z0-9._-]+\.[a-zA-Z]{2,4}))",$_GET['mail'],$r)) {
		$db = new Database;
		$db->connect($cat_db_name);
		
		$mail = $r[1];

		$db->query("DELETE FROM mail_tasks WHERE object='$mail' AND state='0'");	

		if($_GET['option'] == 2) {
			$opt = 2;	
			$txt = 'unsubscribe.txt';
			$subj = '[-] Подписка на рассылкУ';
		} else {
			$opt = 1;
			$txt = 'subscribe.txt';
			$subj = '[+] Подписка на рассылку';
		}	
		
		$uid = strtoupper(uniqid(time()));						
		$ip = getenv('REMOTE_ADDR');	

		$db->query("INSERT INTO mail_tasks VALUES (0,'$opt','$mail',now(),'$uid','$ip',0)");

		$t = nl2br(implode('',file('txt/'.$txt)));
		
		$t = str_replace('_UID_',$uid,$t);
		$t = str_replace('_MAIL_',rawurlencode($mail),$t);

		$t = "<html><body bgcolor='#ffffff' text='#000000' style='font-family: Courier, fixed; font-size: 9pt'>".$t."</body></html>";

		$m = new MailMessage($o_from);
		$m->applyInfo($subj,$t);
		$m->sendTo($mail);
					
		$db->disconnect();

		notify('На Ваш адрес благополучно выслано письмо с просьбой подтверждения подписки.','index.html');		
	} else {
		notify('Ошибка в адресе! Введенный Вами адрес некорректен!','index.html');
	};

?>
